server:
  port: 8889

eureka:
  client:                                   #客户端注册进eureka服务列表内
    service-url:
      #      defaultZone:                          http://192.168.64.18:9931/eureka
      defaultZone:                          http://frame:123456@192.168.64.18:9931/eureka
      #      defaultZone:                          http://admin:1qaz2wsx@127.0.0.1:8888/eureka/ #增加密码
      enable-self-preservation: false # 设为false，关闭自我保护
      eviction-interval-timer-in-ms: 5000 # 清理间隔（单位毫秒，默认是60*1000）启用主动失效，


spring:
  datasource:
    url:                                jdbc:postgresql://192.168.64.15:5432/datacenterwanda
    username:                           postgres
    password:                           cGVyc2FneV8yMDIwcXdlIUAj

    #配置rabbitMq 服务器
  rabbitmq:
    host: 192.168.64.15
    port: 9936
    username: admin
    password: brzj123456
    #虚拟host 可以不设置,使用server默认host
    virtual-host: /test

saga:
#  dataPlatform:                        http://192.168.64.17:8832
  dataPlatform:                        http://39.102.40.239:9970
mqtopid:
  exchange:                           exchange-dmp
  routingKey:

custom:
  #true 代表eureka  false  代表 http
  eurekaorhttp:                       true

# 服务名
servicename:

  DMPORG:                             DMP-ORG   #物理3世界
  DMPRWD:                             DMP-RWD   #中台
  DMPDIC:                             DMP-DIC   #字典
